async.c File Reference

state management for asynchronous messages More...

`#include "coap_config.h"`
`#include "coap.h"`
`#include "async.h"`
`#include "debug.h"`
`#include "mem.h"`
`#include "utlist.h"`
Include dependency graph for async.c:

Go to the source code of this file.

## Functions

coap_async_state_t * | coap_register_async (coap_context_t *context, coap_address_t *peer, coap_pdu_t *request, unsigned char flags, void *data)
| Allocates a new coap_async_state_t object and fills its fields according to the given `request`. More...
coap_async_state_t * | coap_find_async (coap_context_t *context, coap_tid_t id)
| Retrieves the object identified by `id` from the list of asynchronous transactions that are registered with `context`. More...
int | coap_remove_async (coap_context_t *context, coap_tid_t id, coap_async_state_t **s)
| Removes the state object identified by `id` from `context`. More...
void | coap_free_async (coap_async_state_t *s)
| Releases the memory that was allocated by coap_async_state_init() for the object `s`. More...

## Detailed Description

state management for asynchronous messages

Definition in file async.c.